%define major		8
%define libname		%mklibname dvdread %{major}
%define develname	%mklibname dvdread -d

Name:		libdvdread
Version:	6.1.3
Release:	%mkrel 2
Summary:	Library to read DVD images
License:	GPLv2+
Group:		System/Libraries
URL:		https://www.videolan.org/developers/libdvdnav.html
Source0:	https://download.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.bz2

%description
libdvdread provides a simple foundation for reading DVD-Video images.

%package -n	%{libname}
Summary:	Library to read DVD images
Group:		System/Libraries

%description -n	%{libname}
Libdvdread provides a simple foundation for reading DVD-Video images.
This package contains the shared library to run applications utilizing
libdvdread.

%package -n	%{develname}
Summary:	Libdvdread library headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This is the libraries, include files and other resources you can use
to incorporate libdvdread into applications.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install docdir=%{_docdir}/%{libname}

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README.md AUTHORS COPYING NEWS ChangeLog TODO
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog TODO
%{_includedir}/dvdread/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/dvdread.pc


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 6.1.3-2.mga10
+ Revision: 2214722
- Mageia 10 Mass Rebuild

* Mon Jun 06 2022 luigiwalser <luigiwalser> 6.1.3-1.mga9
+ Revision: 1861430
- 6.1.3
- update URL

* Tue Mar 15 2022 umeabot <umeabot> 6.1.2-2.mga9
+ Revision: 1793610
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 luigiwalser <luigiwalser> 6.1.2-1.mga9
+ Revision: 1739612
- 6.1.2

* Wed Apr 22 2020 luigiwalser <luigiwalser> 6.1.1-1.mga8
+ Revision: 1571014
- library major is now 8
+ daviddavid <daviddavid>
- new version: 6.1.1

* Fri Apr 10 2020 luigiwalser <luigiwalser> 6.1.0-1.mga8
+ Revision: 1565937
- 6.1.0

* Tue Feb 18 2020 umeabot <umeabot> 6.0.2-2.mga8
+ Revision: 1538231
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 17 2019 daviddavid <daviddavid> 6.0.2-1.mga8
+ Revision: 1461375
- new version: 6.0.2
- now libmajor is 7

* Thu Feb 07 2019 daviddavid <daviddavid> 6.0.1-1.mga7
+ Revision: 1363972
- new version: 6.0.1

* Sun Sep 23 2018 umeabot <umeabot> 6.0.0-2.mga7
+ Revision: 1298815
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 daviddavid <daviddavid> 6.0.0-1.mga7
+ Revision: 1197752
- new version: 6.0.0

* Thu Dec 24 2015 daviddavid <daviddavid> 5.0.3-1.mga6
+ Revision: 913947
- new version: 5.0.3

* Mon Oct 19 2015 daviddavid <daviddavid> 5.0.2-2.mga6
+ Revision: 892779
- add more docs to fix build with latest rpm

* Fri Feb 13 2015 luigiwalser <luigiwalser> 5.0.2-1.mga5
+ Revision: 814846
- 5.0.2

* Wed Oct 15 2014 umeabot <umeabot> 5.0.0-3.mga5
+ Revision: 744744
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.0-2.mga5
+ Revision: 681433
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 daviddavid <daviddavid> 5.0.0-1.mga5
+ Revision: 670195
- new version: 5.0.0
  * sync with https://packages.debian.org/source/sid/libdvdread

* Sun Aug 31 2014 daviddavid <daviddavid> 4.9.9-1.mga5
+ Revision: 669836
- new version: 4.9.9
- remove previous patch (no longer needed)
- disable static package
- remove dvdread-config scripts (removed by upstream)
- fix path for docdir install
- update file list

* Sun Dec 22 2013 luigiwalser <luigiwalser> 4.2.1-1.mga4
+ Revision: 559709
- 4.2.1
- update URLs

* Fri Oct 18 2013 umeabot <umeabot> 4.2.0-4.mga4
+ Revision: 506957
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.2.0-3.mga3
+ Revision: 357036
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 30 2011 supp <supp> 4.2.0-2.mga2
+ Revision: 188890
- remove inline changelog, minor spec cleanups, rebuild

* Sun Nov 27 2011 tv <tv> 4.2.0-1.mga2
+ Revision: 172627
- new release

* Sat Jan 22 2011 dmorgan <dmorgan> 4.1.3-6.mga1
+ Revision: 31678
- imported package libdvdread


* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 4.1.3-6mdv2011.0
+ Revision: 591435
- fix m4 macro (bug #61491)

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 4.1.3-5mdv2010.1
+ Revision: 520767
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.3-4mdv2010.0
+ Revision: 425535
- rebuild

* Wed Apr 22 2009 Frederic Crozat <fcrozat@mandriva.com> 4.1.3-3mdv2009.1
+ Revision: 368636
- Fix build on cooker
- Rebuild

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.1.3-2mdv2009.1
+ Revision: 305769
- add backward compatibility patch, from mplayer svn tree, to allow dvdbackup to build

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 4.1.3-1mdv2009.0
+ Revision: 282999
- version 4.1.3
- update source URL

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 4.1.3-0.r1132.4mdv2009.0
+ Revision: 278184
- fix permissions of dvdread-config

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 4.1.3-0.r1132.3mdv2009.0
+ Revision: 278179
- fix multiarch dvdread-config script

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 4.1.3-0.r1132.2mdv2009.0
+ Revision: 278146
- add missing dvdread-config
- drop tools package

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 4.1.3-0.r1132.1mdv2009.0
+ Revision: 278135
- new svn snapshot
- new major
- update file list
- update license
- drop patches

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.9.7-8mdv2009.0
+ Revision: 222538
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Feb 27 2008 Götz Waschk <waschk@mandriva.org> 0.9.7-7mdv2008.1
+ Revision: 175683
- replace patch 1 with a different one

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 0.9.7-6mdv2008.1
+ Revision: 174643
- fix for copy protected DVDs (bug #38118)

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.9.7-5mdv2008.1
+ Revision: 150555
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-4mdv2008.0
+ Revision: 76973
- cleanup borked deps

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-3mdv2008.0
+ Revision: 76822
- new devel naming


* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 0.9.7-2mdv2007.0
+ Revision: 112817
- rebuild
- Import libdvdread

* Sat Oct 07 2006 Götz Waschk <waschk@mandriva.org> 0.9.7-1mdv2007.1
- rediff the patch
- New version 0.9.7

* Thu May 04 2006 Götz Waschk <waschk@mandriva.org> 0.9.6-1mdk
- update the patch
- New release 0.9.6

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 0.9.5-1mdk
- update the patch
- New release 0.9.5
- use mkrel

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 0.9.4-6mdk
- Rebuild

* Tue Nov 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.4-5mdk 
- patched makefile to export UDF* symbols too
- rpmbuildupdate aware

* Tue Nov 09 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.4-4mdk
- rebuild

* Sat Aug 14 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.4-3mdk
- rebuild

